Summary: A pptp client for the french Alcatel ADSL routers.
Name: pptp-alcatel
Version: 1.0.2
Release: 4
Serial: 1
Copyright: GPL
Group: Applications/Internet
Source0: ftp://ftp.rhapsodyk.net/pub/linux/pptp/pptp-linux-%{version}-patched.tar.gz
Source1: adsl.init
Source2: adsl.cron
Source3: adsl-check
Source4: ADSL-Howto.html
URL: http://www.rhapsodyk.net/adsl/HOWTO/
BuildRoot: %{_tmppath}/%{name}-root
Requires: ppp >= 2.3.11

%description
pptp-linux is an implementation of the PPTP protocol for Linux and
other Unix systems.

%prep
%setup -n pptp-linux-%{version}

%build
make

%install
rm -rf $RPM_BUILD_ROOT
cp %{SOURCE4} .
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install -m 755 pptp $RPM_BUILD_ROOT%{_sbindir}
install -m 755 pptp_callmgr $RPM_BUILD_ROOT%{_sbindir}
install -m 755 -D %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/adsl
install -m 644 -D %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/adsl
install -m 755 -D %{SOURCE3} $RPM_BUILD_ROOT%{_sbindir}/adsl-check

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README TODO USING ADSL-Howto.html
%{_sbindir}/pptp
%{_sbindir}/pptp_callmgr
%{_sbindir}/adsl-check
%{_sysconfdir}/rc.d/init.d/adsl
%{_sysconfdir}/cron.d/adsl

%changelog
* Mon Nov 27 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed the S and K levels for the init script

* Wed Nov 22 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added the adsl-check and the crontab entry

* Tue Nov  7 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release for RedHat 7.0

